Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XSLExtensionElement

    java.lang.Object
      |
      +--oracle.xml.parser.v2.XSLExtensionElement

public class XSLExtensionElement
extends java.lang.Object

Base element for extension elements

Constructor Summary
`XSLExtensionElement()` Default Constructor

Method Summary
`protected java.lang.String` | `getAttributeTemplateValue(XSLTContext context, java.lang.String namespace, java.lang.String name)` Get an attribute value as template
`protected java.lang.String` | `getAttributeValue(java.lang.String namespace, java.lang.String name)` Get an attribute value
`protected java.util.Vector` | `getChildNodes()` Gets the childNodes of the extension elements
`void` | `processAction(XSLTContext context)` Function called to extecute the body of the extension elements
`protected void` | `processContent(XSLTContext context)` Process Contents of the extension element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLExtensionElement

    public XSLExtensionElement()

  Default Constructor

Method Detail

### processAction

    public void processAction(XSLTContext context)
                       throws XSLException

  Function called to extecute the body of the extension elements
  Parameters:
    `context` - XSLTContext
  Throws:
    `XSLException`

### processContent

    protected final void processContent(XSLTContext context)
                                 throws XSLException

  Process Contents of the extension element
  Parameters:
    `context` - XSLTContext
  Throws:
    `XSLException`

### getChildNodes

    protected final java.util.Vector getChildNodes()

  Gets the childNodes of the extension elements
  Returns:
    nodelist

### getAttributeValue

    protected final java.lang.String getAttributeValue(java.lang.String namespace,
                                                       java.lang.String name)
                                                throws XSLException

  Get an attribute value
  Parameters:
    `namespace` - namespace of the attribute
    `name` - name of the attribute
  Returns:
    value of the attribute
    `XSLException`

### getAttributeTemplateValue

    protected final java.lang.String getAttributeTemplateValue(XSLTContext context,
                                                               java.lang.String namespace,
                                                               java.lang.String name)
                                                        throws XSLException

  Get an attribute value as template
  Parameters:
    `context` - XSLTContext
    `namespace` - namespace of the attribute
    `name` - name of the attribute
  Returns:
    value of the attribute
    `XSLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.